HanMacWrdKGraphInternal::Picture Struct Reference

Internal: the picture of a HanMacWrdKGraph. More...

## Public Member Functions

| Picture (std::shared_ptr< HanMacWrdKZone > const &zone)
| constructor
| ~Picture ()
| destructor

## Public Attributes

std::shared_ptr< HanMacWrdKZone > | m_zone
| the main zone
long | m_pos [2]
| the first and last position of the picture data in the zone
long | m_fileId
| the file id
long | m_fileSubId
| the file subid
bool | m_parsed
| a flag to know if the picture was send to the receiver
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Picture const &pict)
| operator<<

## Detailed Description

Internal: the picture of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## Picture()

HanMacWrdKGraphInternal::Picture::Picture | ( | std::shared_ptr< HanMacWrdKZone > const & | zone | ) |

inline explicit

constructor

Referenced by operator<<.

## ~Picture()

HanMacWrdKGraphInternal::Picture::~Picture | ( |  | ) |

inline

destructor

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Picture const & | pict )

friend

operator<<

## Member Data Documentation

## m_extra

std::string HanMacWrdKGraphInternal::Picture::m_extra

extra data

Referenced by operator<<, and Picture().

## m_fileId

long HanMacWrdKGraphInternal::Picture::m_fileId

the file id

Referenced by operator<<, and Picture().

## m_fileSubId

long HanMacWrdKGraphInternal::Picture::m_fileSubId

the file subid

Referenced by Picture().

## m_parsed

bool HanMacWrdKGraphInternal::Picture::m_parsed

mutable

a flag to know if the picture was send to the receiver

Referenced by Picture(), and HanMacWrdKGraph::sendPicture().

## m_pos

long HanMacWrdKGraphInternal::Picture::m_pos[2]

the first and last position of the picture data in the zone

Referenced by Picture(), and HanMacWrdKGraph::sendPicture().

## m_zone

std::shared_ptr<HanMacWrdKZone> HanMacWrdKGraphInternal::Picture::m_zone

the main zone

Referenced by Picture(), and HanMacWrdKGraph::sendPicture().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx